public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/uvloop/
Date: Wed,  6 Nov 2019 07:26:33 +0000 (UTC)	[thread overview]
Message-ID: <1573025189.5b2890efd4723cf1bc392291ae1d77e6a25319b0.mgorny@gentoo> (raw)

commit:     5b2890efd4723cf1bc392291ae1d77e6a25319b0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  6 07:01:07 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov  6 07:26:29 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b2890ef

dev-python/uvloop: Bump to 0.14.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/uvloop/Manifest             |  1 +
 dev-python/uvloop/uvloop-0.14.0.ebuild | 54 ++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/uvloop/Manifest b/dev-python/uvloop/Manifest
index 7bd2ed3949e..39068c3d985 100644
--- a/dev-python/uvloop/Manifest
+++ b/dev-python/uvloop/Manifest
@@ -1,3 +1,4 @@
 DIST uvloop-0.12.2.tar.gz 1922375 BLAKE2B 49d17dc0899d59975d02dcc0b56e53e506e83a7f02ba7e9021abf92e8518b9904905c0175c3e2612a10f6f6d7a69505bfb024c00debf01823dcfb597966ab1a9 SHA512 59e34c83946facf70e839831dcd61fb7a8cf22df48d2ede6de84edbd4af5e789b2b404c8b7835e9a8cd7be706ad370bde2a290beab72c5d7411d35d07ee7974c
 DIST uvloop-0.13.0.tar.gz 1989805 BLAKE2B 5e825f54ab925056847b8369dfb4deaf9bc8120f7b9f3a0c58267954cf2d374f7ad91393744b7defaa3ec82f5d476f97a5555bc305d80106c84de71b7cdbc7f0 SHA512 4e24db94d207f23287a28d5b086cbd0a358f2fb3d35b55e9913b7b0867e4253259171f4d23969990b1e041fef0a28e44fcd1737e9be319293d223d987033de98
+DIST uvloop-0.14.0.tar.gz 2009041 BLAKE2B 4d984f5023e0974ee68795e6cf29585cee32345e8a682611a72dbc36efefdfeeecb3c22aecb581ff7e5ae826345e1de3b0e6c7a6e8319829b0b3cbe5a180ed11 SHA512 8a9a64c91fd34c65a1c40d8d76ad7dbd7e959d45188ef81cdc06995312f52106b2c648a504d51b64b470e54dfc4854dcf9a05cafa3d4a42f1bc1e31766114d61
 DIST uvloop-0.8.1.tar.gz 1719488 BLAKE2B eba6e15c8eb46286b6e8df6043280ec8b423f097fcf2d4d5be657ff18f0fb97ce83e5268a138cf46700f54b7040353b6588dc4b0140e11f38d7da2e26b1ff120 SHA512 45dba019a0dacaae6c2a732c3f321402c19c945b0d9fa35b9cae28f888a54c7d4b322b450c55a6cf21c1aac01dc49b90eccdffbf4cb8c812a5ec8b9e805e01e4

diff --git a/dev-python/uvloop/uvloop-0.14.0.ebuild b/dev-python/uvloop/uvloop-0.14.0.ebuild
new file mode 100644
index 00000000000..1762033eea5
--- /dev/null
+++ b/dev-python/uvloop/uvloop-0.14.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_5,3_6,3_7} )
+inherit distutils-r1
+
+DESCRIPTION="Ultra-fast implementation of asyncio event loop on top of libuv"
+HOMEPAGE="https://github.com/magicstack/uvloop"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="MIT"
+SLOT="0"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=dev-libs/libuv-1.11.0:="
+DEPEND="
+	${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? (
+		>=dev-python/alabaster-0.6.2[${PYTHON_USEDEP}]
+		dev-python/sphinx[${PYTHON_USEDEP}]
+	)
+	test? ( dev-python/pyopenssl[${PYTHON_USEDEP}] )
+"
+
+python_prepare_all() {
+	cat <<EOF >> setup.cfg || die
+[build_ext]
+use-system-libuv=1
+EOF
+
+	# flake8 only
+	rm tests/test_sourcecode.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && esetup.py build_ext --inplace build_sphinx
+}
+
+python_test() {
+	esetup.py test
+}
+
+python_install_all() {
+	use examples && dodoc -r examples
+	use doc && local HTML_DOCS=( "${BUILD_DIR}/sphinx/html/." )
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2019-11-06  7:26 UTC|newest]

Thread overview: 101+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-06  7:26 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-08 19:09 [gentoo-commits] repo/gentoo:master commit in: dev-python/uvloop/ Arthur Zamarin
2024-10-05 11:48 Arthur Zamarin
2024-10-05  9:16 Arthur Zamarin
2024-10-05  9:04 Sam James
2024-10-05  8:50 Arthur Zamarin
2024-09-20  5:12 Michał Górny
2024-09-12 18:23 Michał Górny
2024-09-12 18:23 Michał Górny
2024-09-12 17:29 Arthur Zamarin
2024-09-02  7:29 Arthur Zamarin
2024-09-01 21:06 Sam James
2024-08-31 20:26 Sam James
2024-08-31 20:26 Sam James
2024-08-31  9:43 Arthur Zamarin
2024-08-31  8:21 Arthur Zamarin
2024-08-16  3:18 Michał Górny
2024-06-14 19:10 Petr Vaněk
2024-02-14 20:34 Michał Górny
2024-02-14 16:29 Ionen Wolkens
2024-01-29  9:23 Sam James
2024-01-29  8:19 Sam James
2024-01-29  8:19 Sam James
2024-01-29  8:19 Sam James
2024-01-29  7:51 Sam James
2024-01-29  7:02 Arthur Zamarin
2024-01-14  3:10 Sam James
2023-12-25  8:37 Sam James
2023-12-25  8:37 Sam James
2023-11-16 18:25 Michał Górny
2023-11-16 16:22 Sam James
2023-11-15 19:21 Arthur Zamarin
2023-11-15 18:39 Arthur Zamarin
2023-11-15 17:40 Sam James
2023-11-15 16:45 Arthur Zamarin
2023-11-15 16:45 Arthur Zamarin
2023-11-15 16:34 Arthur Zamarin
2023-10-23  3:05 Michał Górny
2023-10-23  3:05 Michał Górny
2023-10-14 14:00 Michał Górny
2023-10-14 14:00 Michał Górny
2023-08-06 12:30 Michał Górny
2023-05-04 17:04 Michał Górny
2023-03-16  4:13 Michał Górny
2022-10-27 23:46 Sam James
2022-10-25 10:44 Sam James
2022-10-23  7:53 Agostino Sarubbo
2022-10-22 16:18 Arthur Zamarin
2022-10-22 15:58 Arthur Zamarin
2022-10-22 15:56 Arthur Zamarin
2022-10-22 15:53 Arthur Zamarin
2022-09-22 14:05 Michał Górny
2022-07-04  6:57 Michał Górny
2021-12-04  8:54 Arthur Zamarin
2021-12-03 14:20 Arthur Zamarin
2021-11-24 23:59 Sam James
2021-11-19 11:39 Arthur Zamarin
2021-11-19  8:37 Arthur Zamarin
2021-11-19  7:59 Arthur Zamarin
2021-11-18 10:50 Sam James
2021-11-18 10:39 Sam James
2021-11-18  9:09 Sam James
2021-11-15 16:29 Agostino Sarubbo
2021-11-13  9:42 Jakov Smolić
2021-10-17  6:31 Sam James
2021-10-10 23:49 Sam James
2021-10-04 11:12 Michał Górny
2021-10-04 11:00 Agostino Sarubbo
2021-09-27  9:15 Michał Górny
2021-09-20  6:25 Agostino Sarubbo
2021-08-11  5:58 Michał Górny
2021-08-05 14:08 Sam James
2021-08-05 13:30 Sam James
2021-08-05 10:56 Marek Szuba
2021-08-05  0:33 Sam James
2021-08-05  0:33 Sam James
2021-08-02  3:58 Sam James
2021-08-01 20:30 Matt Turner
2021-07-29 18:47 Michał Górny
2021-07-29 18:47 Michał Górny
2021-07-26  2:27 Sam James
2021-07-15  9:22 Michał Górny
2021-07-12  0:58 Sam James
2021-07-08  7:11 Sergei Trofimovich
2021-07-08  7:09 Sergei Trofimovich
2021-04-28 23:24 Michał Górny
2021-03-30 17:09 Thomas Deutschmann
2021-02-19  8:22 Michał Górny
2021-02-16  0:32 Michał Górny
2021-02-10  8:35 Michał Górny
2020-05-19 12:49 Michał Górny
2020-03-29 10:30 Michał Górny
2019-08-14 23:04 Michał Górny
2019-07-15 15:03 Michał Górny
2019-07-15 15:03 Michał Górny
2017-10-14  9:45 Ulrich Müller
2017-10-14  9:45 Ulrich Müller
2017-10-02 22:03 Patrice Clement
2016-09-08 17:40 David Seifert
2016-05-25  8:15 Patrice Clement
2016-05-13 17:25 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1573025189.5b2890efd4723cf1bc392291ae1d77e6a25319b0.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox